# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0)
# END SourceDeps(oneline)
Name:           rfdump
Version:        1.6
Release:        alt1_13
Summary:        RFID tags detector

Group:          Office
License:        GPLv2+
URL:            http://www.rfdump.org
Source0:        http://www.rfdump.org/dl/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.6-optflags.patch
Patch1:         %{name}-linking.patch

BuildRequires:  gtk2-devel
BuildRequires:  expat-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
RFDump is a tool to detect RFID-Tags and show their meta information:
Tag ID, Tag Type, manufacturer etc. The user data memory of a tag can
be displayed and modified using either a Hex or an ASCII editor. Tag
contents can be stored and loaded using a specific XML fomrat. This
effectively allows to copy data from one tag to another. In addition,
the integrated cookie feature demonstrates how easy it is for a
company to abuse RFID technology to spy on their customers.  RFDump
works with the ACG Multi-Tag Reader or similar card reader hardware.

%prep
%setup -q
%patch0 -p0 -b .optflags
%patch1 -p0 -b .linking


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                \
        --dir %{buildroot}%{_datadir}/applications  \
        --delete-original                           \
        --add-category="Electronics;"               \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%files 
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_13
- initial fc import

